<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Penjadwalan Kegiatan Rutin</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title"><b>A</b>bsensi Kegiatan Rutin</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <!--                        <div class="input-group input-group-sm" style="width: 150px;">-->
                        <!--                            <a th:href="@{/setting/pejabat_matrikulasi/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Kewajiban</a>-->
                        <!--                        </div>-->
                    </div>

                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">#</th>
                    <th>Jenis Kegiatan</th>
                    <th>Gender</th>
                    <th>Tanggal</th>
                    <th>Jam Mulai</th>
                    <th>Berita Acara</th>
                    <th>Absensi Mahasiswa</th>
                    <!--                    <th style="width: 40px"></th>-->
                </tr>
                <tr th:each="x,i : ${listKegiatan.content}">
                    <td th:text="${(listKegiatan.number * listKegiatan.size ) + i.count}">1.</td>
                    <td th:text="${x.kegiatan.namaKegiatan}">Tahsin</td>
                    <td th:text="${x.jenisKelamin}">Laki-laki</td>
                    <td th:text="${#temporals.format(x.tanggalPelaksanaan,'dd-MMM-yyyy')}">31-Des-2019</td>
                    <td th:text="${#dates.format(x.jamMulai, ' HH:mm')}"></td>
                    <td>
                        <a th:href="@{/aktifitas/berita_acara/new(detail=${x.id})}" class="btn btn-success btn-xs">Process</a>
                    </td>
                    <td>
                        <span th:if="${x.pembinas} == null">-</span>
                        <!--                        <a th:href="@{/aktifitas/absensi_kegiatan_rutin/absensi_mahasiswa(detail=${x.id})}" class="btn btn-primary btn-xs">Process</a>-->
                        <span th:if="${x.pembinas} != null">
                                <a th:each="p,i : ${x.pembinas}" th:text="${p.namaKaryawan}"
                                   th:href="@{/aktifitas/absensi_kegiatan_rutin/absensi_mahasiswa(detail=${x.id}, pembina=${p.id})}"
                                   class="btn btn-primary btn-xs">Process</a>
                        </span>
                    </td>
                </tr>
                <tr th:if="${#lists.isEmpty(listKegiatan.content)}">
                    <td colspan="7" class="text-center"> Data Not Found</td>
                </tr>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>


</body>
</html>